# coding: utf-8
import numpy as np
import matplotlib.pyplot as plt

x0 = [2, 4, 8, 16, 32, 64, 128, 256, 512, 1024, 2048]
v0_0 = [
    0.00011897087097167969,
    0.00023317337036132812,
    0.0006120204925537109,
    0.002045154571533203,
    0.007254123687744141,
    0.027551889419555664,
    0.10406899452209473,
    0.4071800708770752,
    1.6290521621704102,
    6.534320116043091,
    26.380656003952026,
]

v_cache_0 = [
    0.00012111663818359375,
    0.00020194053649902344,
    0.0004239082336425781,
    0.0008020401000976562,
    0.0015010833740234375,
    0.0031609535217285156,
    0.006567955017089844,
    0.012859821319580078,
    0.02658390998840332,
    0.05362391471862793,
    0.10566282272338867,
]


v_cache_job_0 = [
    0.00012111663818359375,
    0.00019812583923339844,
    0.0003991127014160156,
    0.0008041858673095703,
    0.0015299320220947266,
    0.0031981468200683594,
    0.006501197814941406,
    0.012722015380859375,
    0.025663137435913086,
    0.051310062408447266,
    0.10513091087341309,
]

# test 22/02/15
v_nocache = [
    0.0001430511474609375,
    0.00028395652770996094,
    0.0006799697875976562,
    0.0022079944610595703,
    0.0076580047607421875,
    0.029294967651367188,
    0.10947704315185547,
    0.42826390266418457,
    1.694187879562378,
    6.758475065231323,
    27.097234964370728,
]
v_job_key_cache = [
    0.0001430511474609375,
    0.00022220611572265625,
    0.0004520416259765625,
    0.0008108615875244141,
    0.0016379356384277344,
    0.003423929214477539,
    0.007650136947631836,
    0.016453027725219727,
    0.028947830200195312,
    0.06151390075683594,
    0.11173391342163086,
]
###

x = np.array(x0)
y = np.array(v_nocache)
y1 = np.array(v_job_key_cache)
# y3 = np.array(v_cache_job)
y2 = 0.0001 / 16 * np.square(x) + 1
plt.plot(x, y)
plt.plot(x, y1)
plt.plot(x, y2)
# plt.plot(x, y3)

plt.show()
